org.apache.fop.render.bitmap

## Class BitmapRendererConfig

- java.lang.Object
- - org.apache.fop.render.bitmap.BitmapRendererConfig

All Implemented Interfaces:
  RendererConfig

Direct Known Subclasses:
  PNGRendererConfig, TIFFRendererConfig

    public class BitmapRendererConfig
    extends Object
    implements RendererConfig

The Bitmap renderer config data object.

### Nested Class Summary

Nested Classes
`static class` `BitmapRendererConfig.BitmapRendererConfigParser` The parser for the Bitmap renderer configuration data.

### Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig

`RendererConfig.RendererConfigParser`

### Method Summary

All Methods Instance Methods Concrete Methods
`Color` `getBackgroundColor()`
`Integer` `getColorMode()`
`DefaultFontConfig` `getFontInfoConfig()` Returns the render-specific font configuration information.
`Boolean` `hasAntiAliasing()`
`boolean` `hasTransparentBackround()`
`Boolean` `isRenderHighQuality()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFontInfoConfig

    public DefaultFontConfig getFontInfoConfig()

Description copied from interface: `RendererConfig`
Returns the render-specific font configuration information.

Specified by:
  `getFontInfoConfig` in interface `RendererConfig`
Returns:
  the font config

#### getBackgroundColor

    public Color getBackgroundColor()

#### hasAntiAliasing

    public Boolean hasAntiAliasing()

#### isRenderHighQuality

    public Boolean isRenderHighQuality()

#### getColorMode

    public Integer getColorMode()

#### hasTransparentBackround

    public boolean hasTransparentBackround()